Subject: Error: Regex version mismatch, expected: 10.42 2022-12-11 actual: 10.36 2020-12-04

From: Frank Lin PIAT <[email-masked]>
Date: Sat, 22 Jul 2023 22:02:42 +0200

Package: selinux-policy-default
Version: 2:2.20210203-7
Severity: minor

After upgading from bullseye to bookworm...
I had the following error many time (tens or hundreds times) when I use apt/dpkg programs:

> dpkg: warning: selinux: Regex version mismatch, expected: 10.42 2022-12-11 actual: 10.36 2020-12-04

I installed SELinux at some point on my system and partially removed it.
Some packages were in configured (uninstalled) state.

After purging those packages configuraiton, the error don't occur
anymore :

Purging configuration files for selinux-basics (0.5.8) ...
Purging configuration files for selinux-policy-dev (2:2.20210203-7) ...
Purging configuration files for at (3.1.23-1) ...
Purging configuration files for selinux-policy-default (2:2.20210203-7) ...
Purging configuration files for setools-gui (4.3.0-2) ...
Purging configuration files for discover (2.1.2-8) ...

My assumption is that this error wouldn't occur anymore if the packages were
installed state during the upgrade.

Thanks

Franklin Piat

-- System Information:
Debian Release: 12.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable-security'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 6.1.0-10-amd64 (SMP w/4 CPU threads; PREEMPT)
Kernel taint flags: TAINT_FIRMWARE_WORKAROUND
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages selinux-policy-default depends on:
ii  libselinux1      3.4-1+b6
ii  libsemanage2     3.4-1+b5
ii  libsepol2        3.4-2.1
pn  policycoreutils  <none>
pn  selinux-utils    <none>

Versions of packages selinux-policy-default recommends:
pn  checkpolicy  <none>
pn  setools      <none>

Versions of packages selinux-policy-default suggests:
pn  logcheck        <none>
pn  syslog-summary  <none>